package org.rcisoft.business.manage.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.manage.entity.TopologyNode;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
* Created with  on 2018-6-5 9:01:15.
*/
@Repository
public interface TopologyNodeRepository extends BaseMapper<TopologyNode> {

    @Select("<script>select * from topology_node where PRO_ID=#{proId}</script>")
    List<Map<String,Object>> queryTopologyNodes(@Param("proId") String proId);
}

